#include <iostream>
#include <sstream>
#include <map>

using namespace std;

typedef map<string,int> Pocitadlo;

int main()
{
  cout << "Zadvejte, prosm, kestn jmna, pjmen a rodn sla." << endl
       << "Zadvn ukonte pomoc stisku Control+D." << endl;

  /* Indexy nsledujcch dvou pol oznauj pohlav,
   * tj. 0 - ensk, 1 - musk. Hodnotu urme elegant tmto vrazem:
   * (rc[2] < '5') */
  Pocitadlo poc[2]; 
  string pohlavi[2] = { "ensk", "musk" };
  char line[256];
  string radek, jmeno, prijmeni, rc;
  int64_t i_rc; /* desetimstn slo! */
 
  /* Natn pes pole umon zpracovat i vadn dky, na nich je poloek
   * buto mlo, nebo moc. */
  while (cin.getline(line, sizeof(line))) 
  {
    /* na kadm dku je jmno, pjmen a rodn slo */
    istringstream s_line(line);
    s_line >> jmeno >> prijmeni >> rc;
    if (!s_line.fail()) /* je to v podku? */
    {
      if ((rc.length() < 9) || (rc.length() > 10))
        cerr << "R nem 9-10 znak: '" << line << "'" << endl;
      else
      {
        istringstream s_rc(rc);
        s_rc >> i_rc;
        if (s_rc.fail()) /* jestli to nen slo, tak pohlav asi nepoznme */
          cerr << "Vadn rodn slo na dku '" << line << "'" << endl;
        else
        {
	  if (i_rc % 11) /* a kdy u to slo mme, tak pro ne :-) */
  	    cerr << "R nedliteln 11 na dku '" << line << "'" << endl;
	  if ((rc[2] != '0') && (rc[2] != '1') && (rc[2] != '5')
	    && (rc[2] != '6'))
	    cerr << "slice msce v R je chybn: '" << line << "'" << endl;
	  else
            poc[rc[2] < '5'][jmeno]++; /* zvme ta */
	}
      }
    }
    else
      cerr << "Vadn dek: '" << line << "'" << endl;
  }

  Pocitadlo::const_iterator i;
  int max;

  for (int j = 0; j <= 1; j++)
  {
    max = 0;
    if ((i = poc[j].begin()) != poc[j].end())
    {
      cout << "Nejetnj " << pohlavi[j] << " jmno:" << endl;
      /* jeliko hledme nejetnj jmno (i jmna), nebudeme tdit */
      for (; i != poc[j].end(); i++)
	if (i->second >= max)
	  max = i->second;
      for (i = poc[j].begin(); i != poc[j].end(); i++)
	if (i->second == max)
          cout << "'" << i->first << "' - " << i->second << "x" << endl;
    }
    else
      cout << "Nebylo zadno jedin " << pohlavi[j] << " jmno." << endl;
  }

  return 0;
}
