#include <iostream>
#include <string>
using namespace std;

struct t1
{ 
  string text;
  t1();
  t1(string txt);
  t1(t1& orig);
  ~t1();
};

struct t2:t1
{
  t2();
  t2(string txt);
  t2(t2& orig);
  ~t2();
};

//***struktura t1
t1::t1()
{ cout << "Implicitni konstruktor t1" << endl; }

t1::t1(string txt)
{ text=txt;
  cout << "Konstruktor t1 s parametrem: " << text << endl;
}

t1::t1(t1& orig)
{ text="kopie t1";
  cout << "Kopirovaci konstruktor t1: " << text << endl; 
}

t1::~t1()
{ cout << "Destruktor t1 " << text << endl; }

//***struktura t2
t2::t2()
{ cout << "Implicitni konstruktor t2" << endl; }

t2::t2(string txt)
{ text=txt;
  cout << "Konstruktor t2 s parametrem: " << text << endl;
}

t2::t2(t2& orig)
{ text="kopie t2";
  cout << "Kopirovaci konstruktor t2: " << text << endl; 
}

t2::~t2()
{ cout << "Destruktor t2 " << text << endl; }


t1 glob1("Globalni instance");

void funkce(void)
{ cout << "Zacina funkce" << endl;
  t1 lok5("Lokalni 5 (ve funkci)");
  cout << "Konci funkce" << endl;
}

int main(void)
{ t1 lok1;
  t2 lok2;
  t2 lok3("Lokalni instance 3");
  t2 lok4=lok3;
  { cout << "Zacina blok" << endl;
    t1 lok6("Lokalni 6 v bloku");
    cout << "Konci blok" << endl;
  }
  cout << "Volame funkci" << endl;
  funkce();
  cout << "Vratili jsme se z funkce" << endl;
  return 0;
}

