#include <iostream>
#include <iomanip>
using namespace std;
class BF {
public:
  BF(int _F) : F(_F) {}
  int eval(int x, int y) {
    return (F >> (3 - (((x != 0) << 1) | (y != 0)))) & 1;
  }
private:
  int F;
};
int main() {
  cout << "  n | x=0,y=0 | x=0,y=1 | x=1,y=0 | x=1,y=1 " << endl 
       << "----+---------+---------+---------+---------" << endl;
  for (int i = 0; i < 16; i++) {
    BF bf(i);
    cout << setw(3) << i << " |" << setw(8) << bf.eval(0, 0) << " |" <<
      setw(8) << bf.eval(0, 1) << " |" << setw(8) << bf.eval(1, 0) << " |" <<
      setw(8) << bf.eval(1, 1) << endl;
  }
  return 0;
}
