#include <iostream>
#include <string>
#include <sstream>
using namespace std;

int prestupny(int r)
{
  return ((r % 400) == 0) || (((r % 100) != 0) && ((r % 4) == 0));
}

void velikonocni_nedele(int &den, int &mesic, int rok)
{
  int a, b, c, d, e, f, g, h, i, j, k;
  a = rok % 19;
  b = rok / 100;
  c = rok % 100;
  d = b >> 2;
  e = b % 4;
  f = ((b << 3) + 13) / 25;
  g = (19 * a + b - d - f + 15) % 30;
  h = c >> 2;
  i = c % 4;
  j = (a + 11 * g) / 319;
  k = ((e << 1) + (h << 1) - i - g + j + 32) % 7;
  mesic = (g - j + k + 90) / 25;
  den = (g - j + k + mesic + 19) % 32;
}

int main()
{
  /* Nateme rok do etzce. */  
  cout << "Zadejte rok (RRRR nebo RR): ";
  string s_rok;
  cin >> s_rok;
  if (cin.fail())
  {
    cout << "Na vstupu nic nen." << endl;
    return 1;
  }

  /* nateme rok z etzce do sla */
  stringstream s_rok_s(s_rok);
  int rok;
  s_rok_s >> rok;
  if (s_rok_s.fail())
  {
    cout << "Asi nebylo zadno slo." << endl;
    return 2;
  }
  
  if (rok < 0)
  {
    cout << "Zporn roky, prosm, nezadvejte." << endl; 
    return 3;
  }
  
  if (s_rok.length() <= 2) /* pro nejve dvojcifern roky */
  if (rok < 50)
    rok += 2000;
  else
    if (rok < 100)
      rok += 1900;

  if ((rok < 1583) || (rok > 2498))
  {
    cout << "Byl zadn rok " << rok << "." << endl;
    cout << "Program pracuje jen pro roky z intervalu <1583, 2498>." << endl;
    return 4;
  }
  
  
  /* Podle znmch pravidel zjistme, je-li rok pestupn, i nikoli. */
  cout << "Rok " << rok << " " << (prestupny(rok) ? "je" : "nen")
    << " pestupn a pat do " << ((rok > 0 ? rok : -rok) + 99) / 100
    << ". stolet" << ((rok < 0) ? " ped nam letopotem" : "") << "."
    << endl;

  /* A nakonec zjistme, kdy byla (i m bt) ta nedle. */
  int n_den, n_mesic;
  velikonocni_nedele(n_den, n_mesic, rok);
  cout << "Velikononon nedle pro tento rok je "
       << n_den << ". " << n_mesic << "." << endl;
  return 0;       
}
