#include <iostream>
#include <cctype>
#include <string>
#include <map>

using namespace std;

/* pevodn tabulka pro ASCII znaky 32-90 */
char *kodovaci_tabulka[] = {
  /*   */     "", /* ! */ 0,
  /* " */ "._.._.", /* #$%&' */ 0, 0, 0, 0, 0,
  /* ( */ "_.__._", /* ) */ "_.__._", /* *+ */ 0, 0,
  /* , */ "__..__", /* - */ "_...._", /* . */ "......", /* / */ "_.._.",
  /* 0 */ "_____", /* 1 */ ".____", /* 2 */ "..___", /* 3 */ "...__",
  /* 4 */ "...._", /* 5 */ ".....", /* 6 */ "_....", /* 7 */ "__...",
  /* 8 */ "___..", /* 9 */ "____.",
  /* : */ "___...", /* ; */ " _._._.", /* < */ 0,
  /* = */ "_..._", /* > */ 0, /* ? */ "..__..", /* @ */ 0,
  /* a */    "._", /* b */  "_...", /* c */  "_._.", /* d */   "_..",
  /* e */     ".", /* f */  ".._.", /* g */   "__.", /* h */  "....",
  /* i */    "..", /* j */  ".___", /* k */   "_._", /* l */  "._..",
  /* m */    "__", /* n */    "_.", /* o */   "___", /* p */  ".__.",
  /* q */  "__._", /* r */   "._.", /* s */   "...", /* t */     "_",
  /* u */   ".._", /* v */  "..._", /* w */   ".__", /* x */  "_.._",
  /* y */  "_.__", /* z */  "__.." };
    
int main()
{
  cerr << "Zadvejte dky. Je-li dek v Morseov abeced, zante lomtkem."
       << endl
       << "Je to proto, e zadvn ukonte dkem zanajcm tekou."
       << endl;
  char line[512];
  
  /* dekdovac tabulka by byla nepehledn, radji si ji nechme udlat */
  map<string, char> dekodovaci_tabulka;

  /* kdovac tabulka zan mezerou */
  for (int c = ' '; c <= 'Z'; c++)
  {
    if (kodovaci_tabulka[c - ' '] != 0)
      dekodovaci_tabulka[kodovaci_tabulka[c - ' ']] = c;
  }
  
  while (cin.getline(line, sizeof(line)) && (line[0] != '.'))
  {
    cout << "Vstup: '" << line << "'" << endl;
    if (line[0] != '/') /* obyejn text */
    {
      cerr << "Morseovka: '";
      for (char *p = line; *p != 0; p++)
      {
        /* chceme velk psmena */
        *p = toupper(*p);
        if ((*p >= ' ') && (*p <= 'Z'))
	{
	  if (*p == ' ') /* nechceme vcensobn mezery */
            while (*(p+1) == ' ')
	      p++;
          cout << kodovaci_tabulka[*p - ' '] << "/";
	}
      }
      cout << "'";
    }
    else /* Morseovka */
    {
      cout << "Text: '";
      char *p2 = 0;
      /* pevedeme pomlky na podtrtka */
      for (char *p = line + 1; *p != 0; p++)
        if (*p == '-') *p = '_';
      /* projdeme znovu cel etzec... */
      for (char *p = line + 1; (p != 0) && (*p != 0); )
      {
	/* a vybereme jednotliv kdovan znaky oddlen lomtky */
	if ((p2 = strchr(p, '/')) != 0)
	{
	  *p2 = '\0';
	  p2++;
	}
	/* a dekdujeme je */
	cout << dekodovaci_tabulka[p];
	p = p2; /* jdeme na dal znak */
      }
      cout << "'";
    }
    cout << endl;
  }

  return 0;
}

