#include <iostream>
#include <fstream>
#include <sstream>

using namespace std;

int main(int argc, char **argv)
{
  int funkce = 0;
  string soubor;
  long int kousek = 0;
  int konec = 0;
  
  if (argc > 1)
    switch (argv[1][0])
    {
      case 's': /* rozdlovn */
        funkce = 1; break;
      case 'c': /* spojovn */
        funkce = 2; break;
      default: break;
    }
  if (argc > 2)
    soubor = argv[2];
  if (argc > 3)
  {
    stringstream s(argv[3]);
    s >> kousek;
    if (s.fail() || kousek == 0) kousek = -1;
  }

  if (funkce == 0)
  {
    cout << "Nebyl zadn pepna pro rozdlovn (s) i spojovn (c)."
         << endl;
    konec |= 1;
  }
  if (soubor == "")
  {
    cout << "Chyb jmno vstupnho souboru." << endl;
    konec |= 2;
  }
  if ((funkce == 1) && (kousek <= 0))
  {
    if (kousek < 0)
      cout << "Velikost kousku byla zadna chybn. Pouijte prosm kladn"
              " cel slo." << endl;
    else
      cout << "Chyb velikost kousku." << endl;
    konec |= 4;
  }
  if (konec) return konec;
 
  int cislo_kousku = 1;
  long int naplneno = 0;
  char mezipamet[32768]; /* tohle neukod ani v estnctibitovm prosted */
  int i, j, k;
  ostringstream jmeno_kousku;
  
  ifstream input;
  ofstream output;
  
  switch (funkce)
  {
    case 1: /* rozdlovn */
      input.open(soubor.c_str(), ios::binary | ios::in);
      if (!input)
      {
        cout << "Nepovedlo se otevt vstupn soubor." << endl;
        break;
      }
      jmeno_kousku << soubor << "." << cislo_kousku << ends;
      output.open(jmeno_kousku.str().c_str(), ios::binary | ios::out);
      if (!output)
      {
        cout << "Nepovedlo se vytvoit prvn vstupn soubor." << endl;
        break;
      }
      while (!input.eof())
      {
        input.read(mezipamet, sizeof(mezipamet));
        j = input.gcount();
        for (i = 0; i < j;)
        {
          k = kousek - naplneno > j - i ? j - i : kousek - naplneno;
          output.write(&mezipamet[i], k);
          i += k; naplneno += k;
          if ((naplneno == kousek) && (i < j))
          {
            naplneno = 0;
            output.close();
            jmeno_kousku.seekp(0);
            jmeno_kousku << soubor << "." << ++cislo_kousku << ends;
            output.open(jmeno_kousku.str().c_str(), ios::binary | ios::out);
            if (!output)
            {
              cout << "Nepovedlo se vytvoit " << cislo_kousku
                   << ". vstupn soubor." << endl;
            }
          }
        }
      }
      output.close();
      input.close();
      input.clear();
      break;
    case 2: /* spojovn */
      output.open(soubor.c_str(), ios::binary | ios::out);
      if (!output)
      {
        cout << "Nepodailo se otevt vstupn soubor." << endl;
        break;
      }
      while (jmeno_kousku.str(""),
             jmeno_kousku << soubor << "." << cislo_kousku++,
             input.open(jmeno_kousku.str().c_str(), ios::binary | ios::out),
             input)
      {
        while (!input.eof())
        {
          input.read(mezipamet, sizeof(mezipamet));
          output.write(mezipamet, input.gcount());
        }
        input.close();
        input.clear();
      }
      output.close();
      break;
    default: break;
  }
  
  return 0;
}
